Subject: [Editorial Errata Reported] RFC3168 (2660)

From: RFC Errata System <[email-masked]>
Date: Sat, 4 Dec 2010 16:00:38 -0800 (PST)

The following errata report has been submitted for RFC3168,
"The Addition of Explicit Congestion Notification (ECN) to IP".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=3168&eid=2660

--------------------------------------
Type: Editorial
Reported by: Bob Briscoe <[email-masked]>

Section: header block

Original Text
-------------
Updates: 2474, 2401, 793

Corrected Text
--------------
Updates: 2474, 2401, 2003, 793

Notes
-----
RFC 3168 updates RFC 2003 but does not indicate this in its header block.

Specifically, Section 9 of RFC 3168 defines processing of the ECN field for Encapsulated Packets. This updates RFC 2003, which specified "IP Encapsulation within IP" at a time before the ECN field was defined.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC3168 (draft-ietf-tsvwg-ecn-04)
--------------------------------------
Title               : The Addition of Explicit Congestion Notification (ECN) to IP
Publication Date    : September 2001
Author(s)           : K. Ramakrishnan, S. Floyd, D. Black
Category            : PROPOSED STANDARD
Source              : Transport Area Working Group
Area                : Transport
Stream              : IETF
Verifying Party     : IESG

---

From: Bob Briscoe <[email-masked]>
Date: Sun, 05 Dec 2010 00:57:00 +0000

Folks,

Some background:

During the publication of RFC6040 on ECN tunnelling, the tsvwg and 
the Transport ADs agreed that RFC 3168 should have been identified as 
an update to RFC 2003 ("IP Encapsulation within IP").

The RFC Index has therefore been corrected and this erratum aims to 
ensure the correction is also associated with RFC 3168 itself, 
through its ERRATA link.

This should help implementers who are trying to comply with the relevant specs.

Bob

At 00:00 05/12/2010, RFC Errata System wrote:

>Specifically, Section 9 of RFC 3168 defines processing of the ECN 
>field for Encapsulated Packets. This updates RFC 2003, which 
>specified "IP Encapsulation within IP" at a time before the ECN 
>field was defined.
>
>Instructions:
>-------------

________________________________________________________________
Bob Briscoe,                                BT Innovate & Design

---

From: Sally Floyd <[email-masked]>
Date: Sun, 05 Dec 2010 16:42:59 -0800

This sounds good to me.
- Sally

---

From: <[email-masked]>
Date: Mon, 6 Dec 2010 09:20:14 -0500

I concur.

Thanks,
--David

> -----Original Message-----
> From: Sally Floyd [mailto:[email-masked]]
> Sent: Sunday, December 05, 2010 7:43 PM
> To: RFC Errata System
> Cc: [email-masked]; [email-masked]; Black, David; [email-masked]; Lars Eggert; James M. Polk;
> [email-masked]; [email-masked]; [email-masked]
> Subject: Re: [Editorial Errata Reported] RFC3168 (2660)
> 
> This sounds good to me.
> - Sally
> 
> 
> > Specifically, Section 9 of RFC 3168 defines processing of the ECN field for Encapsulated Packets.
> This updates RFC 2003, which specified "IP Encapsulation within IP" at a time before the ECN field was
> defined.
> >
> > Instructions:
> > -------------